"use strict";

exports.__esModule = true;
exports.getTransforms = void 0;

var _gatsbyNodeHelpers = require("gatsby-node-helpers");

var _types = require("./types");

const getTransforms = (createNodeId, createContentDigest) => {
  const {
    createNodeFactory
  } = (0, _gatsbyNodeHelpers.createNodeHelpers)({
    typePrefix: 'Shopify',
    createNodeId,
    createContentDigest
  });
  return {
    [_types.types.customer]: createNodeFactory(_types.types.customer),
    [_types.types.order]: createNodeFactory(_types.types.order),
    [_types.types.product]: createNodeFactory(_types.types.product)
  };
};

exports.getTransforms = getTransforms;