"use strict";

exports.__esModule = true;
exports.typeMappings = exports.types = void 0;
const types = {
  customer: 'Customer',
  order: 'Order',
  product: 'Product',
  variant: 'Variant',
  lineItem: 'LineItem',
  metafield: 'Metafield'
};
exports.types = types;
const pluralTypes = {
  [types.customer]: 'customers',
  [types.order]: 'orders',
  [types.lineItem]: 'lineItems',
  [types.metafield]: 'metafields',
  [types.product]: 'products',
  [types.variant]: 'variants'
};

const composeTypes = (...typeNames) => typeNames.reduce((prev, curr) => {
  prev[curr] = pluralTypes[curr];
  return prev;
}, {});

const typeMappings = {
  [types.customer]: composeTypes(types.metafield),
  [types.order]: composeTypes(types.metafield, types.lineItem),
  [types.product]: composeTypes(types.metafield, types.variant)
};
exports.typeMappings = typeMappings;